Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		bluez
Summary:	BlueZ - Bluetooth protocol stack for Linux.
Version:	4.6
Release:	1
Group:		System/Configuration/Hardware
License:	GNU/GPL
URL:		http://www.bluez.org
Source0:	%{name}-%{version}.tar.gz
Source1:        bluetooth.init
Source2:        pand.init
Source3:        dund.init
Source6:        pand.conf
Source7:        dund.conf
Source9:        bluetooth.conf
Patch0:		bluez-init-chkconfig.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
Provides: 	bluez-libs = %{version} libbluetooth.so.1
BuildRequires:	glibc-devel
Obsoletes:	bluez-libs < 4.0
Obsoletes:	bluez-utils < 4.0

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
BlueZ - Bluetooth protocol stack for Linux.

%package devel 
Summary: 	Header files for BlueZ Bluetooth protocol stack.
Requires: 	%{name} = %{version}-%{release}
Group: 		Development/Libraries
Obsoletes:	bluez-libs-devel < 4.0
Provides:	bluez-libs-devel = %{version}
 
%description devel 
Header files for BlueZ Bluetooth protocol stack.

%package utils
Summary:        BlueZ - Bluetooth protocol stack Utilities.
Group:          System/Daemons
Requires:       bluez >= %{version}

%package utils-cups
Summary:        CUPS printer backend for Bluetooth printers
Group:          System/Daemons
Requires:       bluez >= %{version}
Requires:       cups

%package utils-gstreamer
Summary:        gstreamer support for SBC audio format
Group:          System/Daemons
Requires:       bluez >= %{version}

%package utils-alsa
Summary:        ALSA support for Bluetooth audio devices
Group:          System/Daemons
Requires:       bluez >= %{version}

%description utils
Bluetooth utilities (bluez-utils):
        - hcitool
        - hciattach
        - hciconfig
        - hcid
        - l2ping
        - start scripts (Red Hat)
        - pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.

%description utils-cups
This package contains the CUPS backend

%description utils-gstreamer
This package contains gstreamer plugins for the Bluetooth SBC audio format

%description utils-alsa
This package contains ALSA support for Bluetooth audio devices

%post utils
/sbin/chkconfig --del hidd >/dev/null 2>&1 || :

/sbin/chkconfig --add bluetooth
/sbin/chkconfig --add dund
/sbin/chkconfig --add pand

# Restart bluetooth if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/bluetooth stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/bluetooth start 1>/dev/null 2>&1
fi

%preun utils
if [ "$1" = "0" ]; then
        /sbin/service bluetooth stop >/dev/null 2>&1 || :
        /sbin/service dund stop >/dev/null 2>&1 || :
        /sbin/service pand stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del bluetooth
        /sbin/chkconfig --del dund
        /sbin/chkconfig --del pand
fi

%postun utils
ldconfig


%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--enable-gstreamer \
		--enable-alsa \
		--enable-cups \
		--enable-tools \
		--enable-usb \
		--enable-bccmd \
		--enable-hid2hci \
		--enable-dfutool \
		--enable-hidd \
		--enable-pand \
		--enable-dund \
		--enable-manpages \
		--enable-configfiles \
		--enable-initscripts \
		--enable-pcmciarules \
		--disable-debug
make 

%install
rm -rf $RPM_BUILD_ROOT
# bluez
make DESTDIR=$RPM_BUILD_ROOT install-strip

#bluez and bluez-utils integration

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/
mv $RPM_BUILD_ROOT/%{_sysconfdir}/default/bluetooth $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/bluetooth

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/
mv $RPM_BUILD_ROOT/%{_sysconfdir}/udev/bluetooth.rules $RPM_BUILD_ROOT/%{_sysconfdir}/udev/rules.d/97-bluetooth.rules

mkdir -p $RPM_BUILD_ROOT/lib/udev/
mv $RPM_BUILD_ROOT/usr/libexec/udev/bluetooth_serial $RPM_BUILD_ROOT/lib/udev/bluetooth_serial

mkdir -p $RPM_BUILD_ROOT/var/lib/bluetooth

rm -f $RPM_BUILD_ROOT/%{_libdir}/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* 
%_libdir/*.so.*
%_libdir/*.so

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_pkgconfig
#%_aclocal

%files utils
%defattr(-, root, root)
#/etc/rc.d/init.d/*
/etc/init.d/bluetooth
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%{_libdir}/bluetooth
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config %{_sysconfdir}/dbus-1/system.d/*
%config %{_sysconfdir}/udev/rules.d/97-bluetooth.rules
/lib/udev/bluetooth_serial
%dir /var/lib/bluetooth

%files utils-cups
%defattr(-, root, root)
/usr/lib/cups/backend/bluetooth

%files utils-gstreamer
%defattr(-, root, root)
%{_libdir}/gstreamer-*/*.so

%files utils-alsa
%defattr(-, root, root)
%{_libdir}/alsa-lib/*.so

%changelog
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.6-1
- Version update
* Sun Sep 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version update
* Tue Sep 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.4-1
- Version update
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.2-1
- Version update
* Wed Aug 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1-1
- Version update
- new package scheme
* Mon May 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.32-1
- Version Update
* Mon May 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.31-1
- Version Update
* Sun Apr 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.30-1
- Version Update
* Sat Feb 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.27-1
- Version Update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.25-1
- Version Update
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.24-1
- Version Update
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 3.23-1
- Version update
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.22-1
- Version Update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.20-1
- Version Update
* Mon Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.19-1
- Version Update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.14-1
- Version Update
* Mon May 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.10-1
- Version Update
* Sat Feb 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.9-1
- Version Update
* Mon Oct 30 2006 Luke <luke@lionbit.com> 3.7-2
- Rebuilt
* Wed Oct 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.7-1
- Version Update
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.5-1
- Version Update
* Sun Aug 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.2-1
- Version Update
* Sun Jun 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0-1
- Version Update
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.25-1
- Version Update
* Sun Dec 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.24-1
- Version Update
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.22-1
- Version Update, fixed missing symlink
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.21-2
- Moved more files to devel package
* Wed Sep 21 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.21-1
- Version Update
* Mon Jun 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.17-2
- Moved static Libs to devel Package, tweaked spec file
* Sun Jun 05 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 2.17-1
- Version Update / rebuilt spec / split headers to devel-package
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 2.10-1
- Initial Release
